Skip to main content
GET
List campaigns

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Query Parameters

Search by campaign name, hash, or numeric ID.

status
enum<string>

Filter by campaign status. active or paused.

Available options:
active,
paused
affiliate_id
string

Filter by affiliate ID. Comma-separated values accepted (e.g. 1,2,3).

offer_id
string

Filter by offer ID. Comma-separated values accepted.

advertisers
string

Filter by advertiser ID. Comma-separated values accepted.

traffic_source_ids
string

Filter by traffic source ID. Comma-separated values accepted.

traffic_approach_ids
string

Filter by traffic approach ID. Comma-separated values accepted.

countries
string

Filter by country GeoNames ID. Comma-separated values accepted.

Filter by landing page ID. Comma-separated values accepted.

sortField
enum<string>

Field to sort by.

Available options:
id,
name,
hash,
status,
created,
date_added,
updated,
date_updated,
countries,
affiliate,
offer,
advertiser,
traffic_source,
traffic_approach,
landing_page,
creative
sortDirection
enum<string>

Sort direction.

Available options:
asc,
desc
perPage
integer
default:20

Items per page. Defaults to 20.

page
integer
default:1

Page number. Defaults to 1.

Response

Campaigns list.

message
string
Example:

"Campaigns"

success
boolean
Example:

true

info
object[]

List of campaigns. Pagination metadata is in response headers.